# Class Example3

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.samplers.AbstractSampler
org.apache.jmeter.examples.testbeans.example3.Example3

All Implemented Interfaces:
  `Serializable, Cloneable, ConfigMergabilityIndicator, Searchable, Sampler, TestBean, TestElement`

public class Example3 extends AbstractSampler implements TestBean
This TestBean is just an example of the use of different TestBean types.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from interface TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

## Constructor Summary

Constructors
Constructor
Description
`Example3()`

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`getMyBoolean1()`
`Boolean`
`getMyBoolean2()`
`File`
`getMyFile1()`
`String`
`getMyFile2()`
`int`
`getMyInt()`
`Integer`
`getMyInteger1()`
`Integer`
`getMyInteger2()`
`long`
`getMylong()`
`Long`
`getMyLong1()`
`Long`
`getMyLong2()`
`String`
`getMyString1()`
`String`
`getMyString2()`
`boolean`
`isMybool()`
`SampleResult`
`sample(Entry ignored)`
Obtains statistics about the given Entry, and packages the information into a SampleResult.
`void`
`setMybool(boolean mybool)`
`void`
`setMyBoolean1(Boolean myBoolean1)`
`void`
`setMyBoolean2(Boolean myBoolean2)`
`void`
`setMyFile1(File myFile)`
`void`
`setMyFile2(String myFile)`
`void`
`setMyInt(int myInt)`
`void`
`setMyInteger1(Integer myInteger1)`
`void`
`setMyInteger2(Integer myInteger2)`
`void`
`setMylong(long mylong)`
`void`
`setMyLong1(Long myLong1)`
`void`
`setMyLong2(Long myLong2)`
`void`
`setMyString1(String myString1)`
`void`
`setMyString2(String myString2)`

### Methods inherited from class AbstractSampler

`applies`

### Methods inherited from class AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface TestElement

`addTestElement, canRemove, clear, clearTestElementChildren, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

## Constructor Details

### Example3

public Example3()

## Method Details

### sample

public SampleResult sample(Entry ignored)
Description copied from interface: `Sampler`
Obtains statistics about the given Entry, and packages the information into a SampleResult.

Specified by:
  `sample` in interface `Sampler`
Parameters:
  `ignored` - the Entry (TODO seems to be unused)
Returns:
  information about the sample

### isMybool

public boolean isMybool()

### setMybool

public void setMybool(boolean mybool)

### getMyBoolean1

public Boolean getMyBoolean1()

### setMyBoolean1

public void setMyBoolean1(Boolean myBoolean1)

### getMyBoolean2

public Boolean getMyBoolean2()

### setMyBoolean2

public void setMyBoolean2(Boolean myBoolean2)

### getMyInt

public int getMyInt()

### setMyInt

public void setMyInt(int myInt)

### getMyInteger1

public Integer getMyInteger1()

### setMyInteger1

public void setMyInteger1(Integer myInteger1)

### getMyInteger2

public Integer getMyInteger2()

### setMyInteger2

public void setMyInteger2(Integer myInteger2)

### getMylong

public long getMylong()

### setMylong

public void setMylong(long mylong)

### getMyLong1

public Long getMyLong1()

### setMyLong1

public void setMyLong1(Long myLong1)

### getMyLong2

public Long getMyLong2()

### setMyLong2

public void setMyLong2(Long myLong2)

### getMyString1

public String getMyString1()

### setMyString1

public void setMyString1(String myString1)

### getMyString2

public String getMyString2()

### setMyString2

public void setMyString2(String myString2)

### getMyFile1

public File getMyFile1()

### setMyFile1

public void setMyFile1(File myFile)

### getMyFile2

public String getMyFile2()

### setMyFile2

public void setMyFile2(String myFile)